
From: Andrew Morton <akpm@osdl.org>

drivers/usb/media/pwc/pwc-uncompress.c: In function `pwc_decompress':
drivers/usb/media/pwc/pwc-uncompress.c:140: warning: unreachable code at beginning of switch statement

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/usb/media/pwc/pwc-uncompress.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

diff -puN drivers/usb/media/pwc/pwc-uncompress.c~pwc-uncompress-warning-fix drivers/usb/media/pwc/pwc-uncompress.c
--- 25/drivers/usb/media/pwc/pwc-uncompress.c~pwc-uncompress-warning-fix	2005-06-14 21:20:23.000000000 -0700
+++ 25-akpm/drivers/usb/media/pwc/pwc-uncompress.c	2005-06-14 21:20:23.000000000 -0700
@@ -118,9 +118,9 @@ int pwc_decompress(struct pwc_device *pd
 		   return -ENXIO; /* No such device or address: missing decompressor */
 		 }
 
+#if 0
 		switch (pdev->type)
 		 {
-#if 0		 
 		  case 675:
 		  case 680:
 		  case 690:
@@ -128,18 +128,17 @@ int pwc_decompress(struct pwc_device *pd
 		  case 730:
 		  case 740:
 		  case 750:
-		    pwc_dec23_decompress(&pdev->image, &pdev->view, &pdev->offset,
-				yuv, image,
-				flags,
+		    pwc_dec23_decompress(&pdev->image, &pdev->view,
+				&pdev->offset, yuv, image, flags,
 				pdev->decompress_data, pdev->vbandlength);
 		    break;
 		  case 645:
 		  case 646:
 		    /* TODO & FIXME */
-#endif		    
-		    return -ENXIO; /* No such device or address: missing decompressor */
+		    return -ENXIO; /* Missing decompressor */
 		    break;
 		 }
+#endif
 	}
 	return 0;
 }
_
